/*******************************************************************************
 * MeshComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class MeshComponent extends PrimitiveComponent
    abstract
    native(Mesh)
    noexport;

var(Rendering) const array<MaterialInterface> Materials;

// Export UMeshComponent::execGetMaterial(FFrame&, void* const)
native function MaterialInterface GetMaterial(int ElementIndex);

// Export UMeshComponent::execSetMaterial(FFrame&, void* const)
native function SetMaterial(int ElementIndex, MaterialInterface Material);

// Export UMeshComponent::execGetNumElements(FFrame&, void* const)
native function int GetNumElements();

// Export UMeshComponent::execPrestreamTextures(FFrame&, void* const)
native final function PrestreamTextures(float Seconds, bool bPrioritizeCharacterTextures, optional int CinematicTextureGroups)
{
    CinematicTextureGroups = 0;                    
}

function MaterialInstanceConstant CreateAndSetMaterialInstanceConstant(int ElementIndex)
{
    local MaterialInstanceConstant Instance;

    Instance = new (self) class'MaterialInstanceConstant';
    Instance.SetParent(GetMaterial(ElementIndex));
    SetMaterial(ElementIndex, Instance);
    return Instance;
    //return ReturnValue;    
}

function MaterialInstanceTimeVarying CreateAndSetMaterialInstanceTimeVarying(int ElementIndex)
{
    local MaterialInstanceTimeVarying Instance;

    Instance = new (self) class'MaterialInstanceTimeVarying';
    Instance.SetParent(GetMaterial(ElementIndex));
    SetMaterial(ElementIndex, Instance);
    return Instance;
    //return ReturnValue;    
}

function SetEmissives()
{
    //return;    
}

defaultproperties
{
    ReplacementPrimitive=none
    bUseAsOccluder=true
    CastShadow=true
    bAcceptsLights=true
}